      .586                      ; force 32 bit code
      .model flat, stdcall      ; memory model & calling convention
      option casemap :none      ; case sensitive

      include \Altra32\include\windows.inc
      include \Altra32\include\user32.inc

.code
;*************************************************************************************
;
;
;*************************************************************************************
CenterWindow proc hWin:DWORD 

      LOCAL Wtx       :DWORD
      LOCAL Wty       :DWORD
      LOCAL Wwd       :DWORD
      LOCAL Wht       :DWORD
      LOCAL rect      :RECT

      invoke GetWindowRect,hWin,addr rect
      mov eax,[rect.right]
      sub eax,[rect.left]

      mov [Wwd],eax
      mov eax,[rect.bottom]
      sub eax,[rect.top]
      mov [Wht],eax
      invoke GetSystemMetrics,SM_CXSCREEN
      shr eax,1      ; divide screen X by 2
      mov ebx,[Wwd]  ; Get window X value
      shr ebx,1      ; divide window X by 2
      sub eax,ebx    ; sub half win X from half screen X
      mov Wtx,eax    
      invoke GetSystemMetrics,SM_CYSCREEN
      shr eax,1      ; divide screen Y by 2
      mov ebx,Wht    ; Get window Y value
      shr ebx,1      ; divide window Y by 2
      sub eax,ebx    ; sub half win Y from half screen Y
      mov Wty,eax    
      invoke SetWindowPos,hWin,0,Wtx,Wty,0,0,SWP_NOZORDER or SWP_NOSIZE
      ret
CenterWindow endp

end