      .586
      .model flat, stdcall  ; 32 bit memory model
      option casemap :none  ; case sensitive

.code
;*********************************************************************
;
;
;*********************************************************************
dw2ac proc uses eax ebx ecx edx edi edi dwValue:DWORD,pbuffer:DWORD
 
      LOCAL count    :DWORD       

      mov count,3
      mov eax,dwValue
      mov edi,[pbuffer]
      or eax,eax
      jnz sign
zero:
      mov word ptr[edi],30h
      ret
sign:
      jns pos
pos:      
      mov ecx,429496730
      mov esi, edi
      .while(eax > 0)
             mov ebx,eax
             mul ecx
             mov eax,edx
             lea edx,[edx*4+edx]
             add edx,edx
             sub ebx,edx
             add bl,'0'
             mov [edi],bl
             inc edi
             dec count
             .if count == 0
                 mov byte ptr[edi],','
                 mov count,3
                 inc edi
             .endif
      .endw
      .if byte ptr [edi-1] != ','
          mov byte ptr[edi],0
      .else
          dec edi
          mov byte ptr[edi],0
      .endif
      ;****************************************************
      ; We now have all the digits, but in reverse order.
      ;****************************************************
      .while(esi < edi)
             dec edi
             mov al,[esi]
             mov ah,[edi]
             mov [edi],al
             mov [esi],ah
             inc esi
      .endw
      ret
dw2ac endp

end